    POSTLOCK(1)                                           POSTLOCK(1)

    NAME
           postlock - lock mail folder and execute command

    SYNOPSIS
           postlock [-c config_dir] [-l lock_style] [-v] file com-
           mand...

    DESCRIPTION
           The postlock command locks file for exclusive access,  and
           executes  command.  The  locking method is compatible with
           the Postfix UNIX-style local delivery agent.

           Options:

           -c config_dir
                  Read the main.cf configuration file  in  the  named
                  directory  instead  of  the  default  configuration
                  directory.

           -l lock_style
                  Override the locking method specified via the mail-
                  box_delivery_lock   configuration   parameter  (see
                  below).

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple  -v  options  make  the software increasingly
                  verbose.

           Arguments:

           file   A mailbox file. The  user  should  have  read/write
                  permission.

           command...
                  The  command  to  execute  while file is locked for
                  exclusive  access.    The   command   is   executed
                  directly,  i.e.  without  interpretation by a shell
                  command interpreter.

    DIAGNOSTICS
           The result status is 75 (EX_TEMPFAIL) when postlock  could
           not  perform the requested operation.  Otherwise, the exit
           status is the exit status from the command.

    BUGS
           With remote file systems, the ability to  acquire  a  lock
           does  not  necessarily  eliminate  access conflicts. Avoid
           file access by processes running on different machines.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with Postfix configuration files.

                                                                    1

    POSTLOCK(1)                                           POSTLOCK(1)

           MAIL_VERBOSE
                  Enable verbose logging for debugging purposes.

    CONFIGURATION PARAMETERS
           The following main.cf parameters are  especially  relevant
           to  this  program. See the Postfix main.cf file for syntax
           details and for default values.

    Locking controls
           deliver_lock_attempts
                  Limit the number of attempts to acquire  an  exclu-
                  sive lock.

           deliver_lock_delay
                  Time  in  seconds  between  successive  attempts to
                  acquire an exclusive lock.

           stale_lock_time
                  Limit the time after which a stale lock is removed.

           mailbox_delivery_lock
                  What  file locking method(s) to use when delivering
                  to a UNIX-style mailbox.  The  default  setting  is
                  system  dependent.   For  a  list of available file
                  locking methods, use the postconf -l command.

    Resource controls
           fork_attempts
                  Number of attempts to fork() a process before  giv-
                  ing up.

           fork_delay
                  Delay   in   seconds   between   successive  fork()
                  attempts.

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                                    2